package cn.com.poc.support.security.oauth.entity;

import cn.com.poc.user.model.BizMemberInfoModel;
import cn.com.yict.framemax.data.model.UserBaseModel;

public class MemberResponse extends BizMemberInfoModel implements UserBaseModel {

    private String userAccount;

    private String userName;

    @Override
    public Long getUserId() {
        return super.getMemberId().longValue();
    }

    @Override
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String getUserAccount() {
        return userAccount;
    }

    public void setUserAccount(String userAccount) {
        this.userAccount = userAccount;
    }

    @Override
    public String getCentralAccount() {
        return null;
    }

    @Override
    public String getPassword() {
        return null;
    }

    @Override
    public String getUserBuId() {
        return null;
    }
}
